/*
 * Driver for the Synopsys DesignWare DMA Controller
 *
 * Copyright (C) 2005-2006 Atmel Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#ifndef __AVR32_DW_DMAC_H__
#define __AVR32_DW_DMAC_H__

#define DW_DMAC_CFG		0x398
#define DW_DMAC_CH_EN		0x3a0

#define DW_DMAC_STATUS_XFER	0x2e8
#define DW_DMAC_STATUS_BLOCK	0x2f0
#define DW_DMAC_STATUS_ERROR	0x308

#define DW_DMAC_MASK_XFER	0x310
#define DW_DMAC_MASK_BLOCK	0x318
#define DW_DMAC_MASK_ERROR	0x330

#define DW_DMAC_CLEAR_XFER	0x338
#define DW_DMAC_CLEAR_BLOCK	0x340
#define DW_DMAC_CLEAR_ERROR	0x358

#define DW_DMAC_STATUS_INT	0x360

#define DW_DMAC_CHAN_SAR	0x000
#define DW_DMAC_CHAN_DAR	0x008
#define DW_DMAC_CHAN_LLP	0x010
#define DW_DMAC_CHAN_CTL	0x018
#define DW_DMAC_CHAN_SSTAT	0x020
#define DW_DMAC_CHAN_DSTAT	0x028
#define DW_DMAC_CHAN_SSTATAR	0x030
#define DW_DMAC_CHAN_DSTATAR	0x038
#define DW_DMAC_CHAN_CFG	0x040
#define DW_DMAC_CHAN_SGR	0x048
#define DW_DMAC_CHAN_DSR	0x050

#endif /* __AVR32_DW_DMAC_H__ */
